## camel-hostname-utils camel-hostname-utils |

## Functions

gboolean | camel_hostname_utils_requires_ascii ()

## Description

## Functions

### camel_hostname_utils_requires_ascii ()

    gboolean
    camel_hostname_utils_requires_ascii (const gchar *hostname);

Check whether the `hostname` requires conversion to ASCII. That can be when a character in it can look like an ASCII character, even it being a Unicode letter. This can be used to display host names in a way of invulnerable to IDN homograph attacks.

#### Parameters

hostname | a host name |

#### Returns

`TRUE`, when the `hostname` should be converted to an ASCII equivalent, `FALSE`, when it can be shown as is.

Since: 3.44